/**
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements. See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership. The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied. See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */
import org.fusesource.examples.eip.RegionSupport;
import org.junit.Test;

import static org.fusesource.examples.eip.RegionSupport.*;
import static org.junit.Assert.assertEquals;

/**
 * Just a simple JUnit test class for {@link RegionSupport}
 */
public class RegionSupportTest {
    
    private final RegionSupport support = new RegionSupport();
    
    @Test
    public void testGetRegion() {
        assertEquals(APAC, support.getRegion("AU"));
        assertEquals(EMEA, support.getRegion("BE"));
        assertEquals(EMEA, support.getRegion("UK"));
        assertEquals(AMER, support.getRegion("US"));
    }
    
}
